Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594514 - HWADDR in /etc/sysconfig/network-scripts/ifcfg-ethX doesn't work
HWADDR in /etc/sysconfig/network-scripts/ifcfg-ethX doesn't work
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: udev (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Harald Hoyer
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 17:42 EDT by aaron fabbri
Modified: 2010-06-08 06:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 06:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aaron fabbri 2010-05-20 17:42:47 EDT
Description of problem:

In my /etc/sysconfig/network-scriptslthough I have HWADDR set to a valid MAC addrs for eth0 and eth1, but they fail to come up:

# /etc/init.d/network restart
Shutting down loopback interface:  [  OK  ]
Bringing up loopback interface:  [  OK  ]
Bringing up interface eth0:  Device eth0 has different MAC address than expected, ignoring.
[FAILED]
Bringing up interface eth1:  Device eth1 has different MAC address than expected, ignoring.
[FAILED]


Version-Release number of selected component (if applicable):
Install of RHEL6.0-20100422.12-Server-x86_64

How reproducible:
Not sure.

Steps to Reproduce:
1.Install RHEL6.
2. (maybe required?) Change order of ethernet devices, e.g. by swapping PCI slots. 
or, just try to swap interfaces by swapping HWADDR= lines in ifcfg-eth0 and ifcfg-eth1.
3. reboot or /etc/init.d/network restart

Actual results:
# /etc/init.d/network restart
Shutting down loopback interface:  [  OK  ]
Bringing up loopback interface:  [  OK  ]
Bringing up interface eth0:  Device eth0 has different MAC address than expected, ignoring.
[FAILED]
Bringing up interface eth1:  Device eth1 has different MAC address than expected, ignoring.
[FAILED]

Expected results:

Eth0 and eth1 should come up properly, according to documentation in :

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Deployment_Guide/s1-networkscripts-interfaces.html

Additional info:
Comment 2 Bill Nottingham 2010-05-21 00:41:39 EDT
Please attach your configuration, including /etc/udev/rules.d/70-persistent-net.rules.
Comment 3 aaron fabbri 2010-05-26 18:56:32 EDT
I wiped the system and reverted to RHEL 5.5.  I'd suggest having someone else try the reproduction steps I listed.
Comment 4 RHEL Product and Program Management 2010-06-07 12:08:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Note You need to log in before you can comment on or make changes to this bug.